Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.icon
Class OpenMapAppPartCollection

    java.lang.Object
      com.bbn.openmap.tools.icon.IconPartCollectionEntry
          com.bbn.openmap.tools.icon.IconPartCollection
              com.bbn.openmap.tools.icon.OpenMapAppPartCollection

public class OpenMapAppPartCollection
extends IconPartCollection

Nested Class Summary
`static class` | `OpenMapAppPartCollection.OpenMapAppPart`

Field Summary
`static OpenMapAppPartCollection.OpenMapAppPart` | `BIG_BOX`
`static OpenMapAppPartCollection.OpenMapAppPart` | `FILL_BOX`
`static OpenMapAppPartCollection.OpenMapAppPart` | `LL_UR_LINE`
`static OpenMapAppPartCollection.OpenMapAppPart` | `LR_TRI`
`static OpenMapAppPartCollection.OpenMapAppPart` | `SMALL_BOX`
`static OpenMapAppPartCollection.OpenMapAppPart` | `UL_LR_LINE`
`static OpenMapAppPartCollection.OpenMapAppPart` | `UL_TRI`

Fields inherited from class com.bbn.openmap.tools.icon.IconPartCollection
`collections, entryMap`

Fields inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`description, name, part`

Constructor Summary
`protected` | `OpenMapAppPartCollection()`

Method Summary
`static OpenMapAppPartCollection` | `getInstance()`
`protected void` | `init()`

Methods inherited from class com.bbn.openmap.tools.icon.IconPartCollection
`add, clear, compose, composeDescription, get, get, getCollections, getDescription, getEntryMap, getIconPart, keySet, remove, setCollections, setEntryMap, setIconPart`

Methods inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`getDescription, getName, setDescription, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIG_BOX

    public static final OpenMapAppPartCollection.OpenMapAppPart BIG_BOX

### SMALL_BOX

    public static final OpenMapAppPartCollection.OpenMapAppPart SMALL_BOX

### FILL_BOX

    public static final OpenMapAppPartCollection.OpenMapAppPart FILL_BOX

### UL_TRI

    public static final OpenMapAppPartCollection.OpenMapAppPart UL_TRI

### LR_TRI

    public static final OpenMapAppPartCollection.OpenMapAppPart LR_TRI

### LL_UR_LINE

    public static final OpenMapAppPartCollection.OpenMapAppPart LL_UR_LINE

### UL_LR_LINE

    public static final OpenMapAppPartCollection.OpenMapAppPart UL_LR_LINE

Constructor Detail

### OpenMapAppPartCollection

    protected OpenMapAppPartCollection()

Method Detail

### getInstance

    public static OpenMapAppPartCollection getInstance()

### init

    protected void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details